List monitors
List monitors for your organization.
GET
List monitors
GET /api/v1/monitors
List all monitors for your organization.List all monitors with pagination and optional status filtering.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List monitors for your organization.
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"config": {},
"cadence_minutes": 123,
"last_run_at": "<string>",
"next_run_at": "<string>",
"consecutive_failures": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>"
}List all monitors for your organization.List all monitors with pagination and optional status filtering.
curl https://developer.thehog.ai/api/v1/monitors?status=active \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
The public API key from the Credentials page.
The API secret shown when the credential is created.
curl --request GET \
--url https://developer.thehog.ai/api/v1/monitors \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"config": {},
"cadence_minutes": 123,
"last_run_at": "<string>",
"next_run_at": "<string>",
"consecutive_failures": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>"
}